Page MenuHomePhabricator

Expand click zone to open edit interface when selected
Closed, ResolvedPublic2 Estimated Story Points

Description

Allow editing on a version only when selected.

Expand click zone to include the entire text box (shown highlighted in green in the image). On click, open editing interface. Disable click zone when de-selected.

Question: Should we also allow expand the click zone for gray boxes to include the entire text area?

Event Timeline

ecohen created this task.Mar 26 2020, 9:43 AM
Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptMar 26 2020, 9:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lena_WMDE set the point value for this task to 2.Mar 26 2020, 10:00 AM
Lena_WMDE moved this task from Backlog to Product backlog on the Two-Column-Edit-Conflict-Merge board.
ecohen renamed this task from Edit on click in to box to Expand click zone to open edit interface when selected.Mar 27 2020, 1:28 PM
ecohen updated the task description. (Show Details)

Change 587542 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/TwoColConflict@master] Expand the clickable area for the edit button on a selected column

https://gerrit.wikimedia.org/r/587542

Change 587542 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Expand the clickable area for the edit button on a selected column

https://gerrit.wikimedia.org/r/587542

thiemowmde closed this task as Resolved.Apr 14 2020, 11:36 AM
thiemowmde moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-04-01 board.
thiemowmde added a subscriber: thiemowmde.

We decided to leave the gray boxes untouched for now. Means you must click the edit pen to edit the gray boxes. Reasoning: Typically we don't expect the user to edit the paragraphs where no edit was made before.